Bug 1501868 - (CVE-2017-10285) CVE-2017-10285 OpenJDK: incorrect privilege use when handling unreferenced objects (RMI, 8174966)
CVE-2017-10285 OpenJDK: incorrect privilege use when handling unreferenced ob...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20171017,repor...
: Security
Depends On: 1499213 1499215 1499223 1499224 1503325 1503328 1503329 1503330 1503333 1503335 1515470 1515471 1516386 1516387 1499214 1499216 1499225 1499226 1503326 1503327 1503331 1503332 1503334 1503336 1515469 1515472 1516384 1516385
Blocks: 1499210
  Show dependency treegraph
 
Reported: 2017-10-13 07:32 EDT by Tomas Hoger
Modified: 2018-02-06 03:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 09:15:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2017-10-13 07:32:51 EDT
A flaw was found in the privileged code used to handle unreferenced objects in the Target class in the RMI component of OpenJDK.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.
Comment 3 Tomas Hoger 2017-10-17 16:45:43 EDT
Public now via Oracle CPU October 2017:

http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html#AppendixJAVA

The issue was fixed in Oracle JDK 9.0.1, 8u151, 7u161, and 6u171.
Comment 7 Tomas Hoger 2017-10-18 05:17:40 EDT
OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/0c7e380005ee
Comment 8 errata-xmlrpc 2017-10-20 07:33:19 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2998 https://access.redhat.com/errata/RHSA-2017:2998
Comment 9 errata-xmlrpc 2017-10-23 03:48:54 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:2999 https://access.redhat.com/errata/RHSA-2017:2999
Comment 10 errata-xmlrpc 2017-10-24 08:13:04 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:3047 https://access.redhat.com/errata/RHSA-2017:3047
Comment 11 errata-xmlrpc 2017-10-24 08:18:46 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:3046 https://access.redhat.com/errata/RHSA-2017:3046
Comment 14 errata-xmlrpc 2017-11-27 13:05:14 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:3264 https://access.redhat.com/errata/RHSA-2017:3264
Comment 15 errata-xmlrpc 2017-11-28 15:40:56 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:3267 https://access.redhat.com/errata/RHSA-2017:3267
Comment 16 errata-xmlrpc 2017-11-28 15:43:46 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:3268 https://access.redhat.com/errata/RHSA-2017:3268
Comment 17 errata-xmlrpc 2017-12-06 08:43:17 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:3392 https://access.redhat.com/errata/RHSA-2017:3392
Comment 18 errata-xmlrpc 2017-12-13 11:54:31 EST
This issue has been addressed in the following products:

  Red Hat Satellite 5.8
  Red Hat Satellite 5.8 ELS

Via RHSA-2017:3453 https://access.redhat.com/errata/RHSA-2017:3453

Note You need to log in before you can comment on or make changes to this bug.